@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  pact-jvm-server_2.10 startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and PACT_JVM_SERVER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\pact-jvm-server_2.10-2.2.4.jar;%APP_HOME%\lib\scala-library-2.10.5.jar;%APP_HOME%\lib\scala-logging-slf4j_2.10-2.1.2.jar;%APP_HOME%\lib\json4s-native_2.10-3.2.11.jar;%APP_HOME%\lib\json4s-jackson_2.10-3.2.11.jar;%APP_HOME%\lib\pact-jvm-model_2.10-2.2.4.jar;%APP_HOME%\lib\pact-jvm-consumer_2.10-2.2.4.jar;%APP_HOME%\lib\scala-logging-api_2.10-2.1.2.jar;%APP_HOME%\lib\scala-reflect-2.10.4.jar;%APP_HOME%\lib\json4s-core_2.10-3.2.11.jar;%APP_HOME%\lib\jackson-databind-2.3.1.jar;%APP_HOME%\lib\json-20140107.jar;%APP_HOME%\lib\unfiltered-netty-server_2.10-0.8.2.jar;%APP_HOME%\lib\dispatch-core_2.10-0.11.1.jar;%APP_HOME%\lib\pact-jvm-matchers_2.10-2.2.4.jar;%APP_HOME%\lib\diffutils-1.3.0.jar;%APP_HOME%\lib\automaton-1.11-8.jar;%APP_HOME%\lib\httpclient-4.4.jar;%APP_HOME%\lib\json4s-ast_2.10-3.2.11.jar;%APP_HOME%\lib\paranamer-2.6.jar;%APP_HOME%\lib\scalap-2.10.0.jar;%APP_HOME%\lib\jackson-annotations-2.3.0.jar;%APP_HOME%\lib\jackson-core-2.3.1.jar;%APP_HOME%\lib\unfiltered-netty_2.10-0.8.2.jar;%APP_HOME%\lib\unfiltered-util_2.10-0.8.2.jar;%APP_HOME%\lib\async-http-client-1.8.8.jar;%APP_HOME%\lib\commons-lang3-3.3.2.jar;%APP_HOME%\lib\jsonpath_2.10-0.6.4.jar;%APP_HOME%\lib\httpcore-4.4.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-codec-1.9.jar;%APP_HOME%\lib\scala-compiler-2.10.0.jar;%APP_HOME%\lib\unfiltered_2.10-0.8.2.jar;%APP_HOME%\lib\netty-codec-http-4.0.23.Final.jar;%APP_HOME%\lib\netty-3.9.0.Final.jar;%APP_HOME%\lib\netty-codec-4.0.23.Final.jar;%APP_HOME%\lib\netty-handler-4.0.23.Final.jar;%APP_HOME%\lib\netty-transport-4.0.23.Final.jar;%APP_HOME%\lib\netty-buffer-4.0.23.Final.jar;%APP_HOME%\lib\netty-common-4.0.23.Final.jar;%APP_HOME%\lib\slf4j-api-1.7.7.jar

@rem Execute pact-jvm-server_2.10
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %PACT_JVM_SERVER_OPTS%  -classpath "%CLASSPATH%" au.com.dius.pact.server.Server %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable PACT_JVM_SERVER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%PACT_JVM_SERVER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
